$.download = function(url, data, method, callback){
	var inputs = "";
	var iframeX;
	var downloadInterval;

	if(url && data){
		data = typeof data == 'string' ? data: jQuery.param(data);
		
		
		
		// remove old iframe if has
		if($("#iframeX")) $("#iframeX").remove();
		// creater new iframe
		//	src='[removed]false';
		iframeX= $('<iframe src="" name="iframeX" id="iframeX"></iframe>').appendTo('body').hide();
	
		// if($.browser.msie){
		// 			downloadInterval = setInterval(function(){
		// 				// if loading then readyState is “loading” else readyState is “interactive”
		// 				if(iframeX&& iframeX[0].readyState !=="loading"){
		// 					if(callback) callback();
		// 					clearInterval(downloadInterval);
		// 				}
		// 			}, 23);
		// 		} else {
		// 			iframeX.load(function(){
		// 				if(callback) callback();
		// 			});
		// 		}
		
		// iframeX.ready(function(){
		// 		// alert("Asdasd");
		// 		if(callback) callback();
		// 	});
	
		//split params into form inputs
		// $.each(data, function(p, val){
		// 			inputs+='<input type="hidden" name=“'+ p +'” value=“'+ val +'” />';
		// 		});
		
		if(data){
			jQuery.each(data.split('&'),function() {
				var pair = this.split('=');
				inputs += '<input type="hidden" name="' + pair[0] + '" value="' + pair[1] + '" />';
			});
		}
		// console.info(url,method,data);
		//create form to send request
		$('<form action="'+ url +'" method="'+ (method||'post') + '" target="iframeX">'+inputs+'</form>').appendTo('body').submit().remove();
	};
};